Submit Simulator Authorization

post/api/simulator/authorize

This endpoint can be used to test authorizing a transaction on a simulated card network.

Incremental Authorization

Create an initial authorization then include the requestMsg from this response in the request body of a subsequent authorization.

Force Post

In some scenarios a merchant will force an authorization to be accepted. This is known as force post or force sale. This functionality supports offline authorizations. To simulate this scenario, set the forcePost field to true in your request payload.

ATM Withdrawal

Set transactionType to withdrawal to simulate a cardholder withdrawing cash at an ATM. ATM withdrawals are permitted on physical cards only.

Request

Body application/json

  • transactionTypestringrequired
    Allowed values:purchaserefundwithdrawal

    Transaction type.

  • transactionAmountstringrequired

    Transaction amount as an integer in the smallest denomination of the currency. Maximum value of 100000 in card currency.

  • currencyCodestringdefault: "USD"

    ISO 4217 currency code.

  • cardPanstringrequiredpattern: ^[0-9]{16}$

    Card number.

  • cardExpirystringrequiredpattern: ^[0-9]{6}$

    Card expiry in YYYYMM format.

  • cardCvvstringrequiredpattern: ^[0-9]{3}$

    Card CVV.

  • authorizationRequestMsgstring

    requestMsg of previous authorization returned by this endpoint.

  • forcePostbooleandefault: false

    Indicates whether to force post the transaction.

  • securityChallengeobject

    Object containing security challenge information, if applicable.

    • refstring

      3DS challenge identifier. a randomly generated UUIDv4 string.

    • outcomestring

      3DS challenge outcome. accepted values are: challenge-confirmed, challenge-exempt

  • providerstring

    Card network simulator provider that processes the request. If undefined, the provider is selected on a best match basis. If the card was not provisioned via the provider then the simulated payment will be rejected. Possible values:

    • apac-test: APAC cards.
    • eu-test: EU cards.
    • na-test: US cards.

Response

Successful operation.

Body application/json

  • requestMsgstring

    XML formatted ISO 8583 message sent to the simulated card scheme

  • responseMsgstring

    XML formatted ISO 8583 message returned from the simulated card scheme

  • transactionIdnumber

    ID of the transaction